Name:		kfilebox
Summary:	KDE front end for Dropbox
Version:	0.4.9
Release:	%mkrel 3
License:	GPLv2
Group:		Archiving/Backup 
Source0:	http://sourceforge.net/projects/kdropbox/files/kfilebox-%{version}/Source/kfilebox_%{version}.tar.gz
Url:		https://sourceforge.net/projects/kdropbox/

BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(QtCore)

%description
KDE front end for Dropbox

%files -f %name.lang
%dir %{_datadir}/kfilebox
%dir %_kde_docdir/packages/kfilebox
%{_datadir}/applications/kfilebox.desktop
%{_datadir}/autostart/kfilebox.desktop
%{_datadir}/kde4/apps/kfilebox/kfilebox.notifyrc
%{_datadir}/kfilebox/kfilebox.png
%{_bindir}/kfilebox
%{_datadir}/doc/packages/kfilebox/readme.txt
%{_iconsdir}/*/*/apps/kfilebox.png

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}_%{version}

%build
%qmake_qt4
%make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/qt4/translations
mkdir -p %{buildroot}%{_datadir}/doc/packages/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/icons/hicolor
mkdir -p %{buildroot}%{_datadir}/icons/oxygen
mkdir -p %{buildroot}%{_datadir}/locale
mkdir -p %{buildroot}%{_datadir}/autostart
mkdir -p %{buildroot}%{_datadir}/kde4/apps/kfilebox

mkdir -p %{buildroot}%{_datadir}/locale/ar/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/br/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/cs/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/de_DE/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/el/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/en_GB/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/gl/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/it/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/lt/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/nl/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/si/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/tr/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/zh/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/zh_CN/LC_MESSAGES/
mkdir -p %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES/

cp bin/* %{buildroot}%{_bindir}
cp -r doc/* %{buildroot}%{_datadir}/doc/packages/%{name}
cp img/%{name}.png %{buildroot}%{_datadir}/%{name}/
cp -r img/hicolor/* %{buildroot}%{_datadir}/icons/hicolor/
cp -r img/hicolor/* %{buildroot}%{_datadir}/icons/oxygen/
cp locale/ar/kfilebox.mo %{buildroot}%{_datadir}/locale/ar/LC_MESSAGES/
cp locale/br/kfilebox.mo %{buildroot}%{_datadir}/locale/br/LC_MESSAGES/
cp locale/cs/kfilebox.mo %{buildroot}%{_datadir}/locale/cs/LC_MESSAGES/
cp locale/el/kfilebox.mo %{buildroot}%{_datadir}/locale/el/LC_MESSAGES/
cp locale/en/kfilebox.mo %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/
cp locale/en/kfilebox.mo %{buildroot}%{_datadir}/locale/en_GB/LC_MESSAGES/
cp locale/de/kfilebox.mo %{buildroot}%{_datadir}/locale/de_DE/LC_MESSAGES/
cp locale/es/kfilebox.mo %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/
cp locale/fr/kfilebox.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/
cp locale/gl/kfilebox.mo %{buildroot}%{_datadir}/locale/gl/LC_MESSAGES/
cp locale/it/kfilebox.mo %{buildroot}%{_datadir}/locale/it/LC_MESSAGES/
cp locale/lt/kfilebox.mo %{buildroot}%{_datadir}/locale/lt/LC_MESSAGES/
cp locale/nl/kfilebox.mo %{buildroot}%{_datadir}/locale/nl/LC_MESSAGES/
cp locale/pl/kfilebox.mo %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/
cp locale/ru/kfilebox.mo %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/
cp locale/si/kfilebox.mo %{buildroot}%{_datadir}/locale/si/LC_MESSAGES/
cp locale/tr/kfilebox.mo %{buildroot}%{_datadir}/locale/tr/LC_MESSAGES/
cp locale/zh/kfilebox.mo %{buildroot}%{_datadir}/locale/zh/LC_MESSAGES/
cp locale/zh/kfilebox.mo %{buildroot}%{_datadir}/locale/zh_CN/LC_MESSAGES/
cp locale/tw/kfilebox.mo %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES/

cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
GenericName=%{name}
GenericName[de]=%{name}
Comment=KDE front end for Dropbox
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Network;FileTransfer;KDE;Qt;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=kfilebox
GenericName=kfilebox
Comment=KDE front end for Dropbox
Exec=%{_bindir}/kfilebox
Icon=%{_datadir}/kfilebox/kfilebox.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Network;FileTransfer;KDE;Qt;
X-KDE-autostart-after=panel
X-KDE-StartupNotify=false
X-DBUS-StartupType=Unique
X-KDE-UniqueApplet=true
X-KDE-autostart-condition=kfileboxrc:General:AutoStart:false
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/kde4/apps/%{name}/%{name}.notifyrc << EOF
[Global]
Comment=Kfilebox
Name=kfilebox
IconName=kfilebox

[Event/notify]
Name=Notification
Comment=Any notification
Action=Popup
EOF

%find_lang %name


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.9-3.mga4
+ Revision: 506636
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.9-2.mga3
+ Revision: 356143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 sander85 <sander85> 0.4.9-1.mga3
+ Revision: 273147
- new version: 0.4.9

* Sun Mar 18 2012 sander85 <sander85> 0.4.7-3.mga2
+ Revision: 223832
- fix build
- clean spec and rebuild in hope to get package back into repos

* Sun Apr 17 2011 stormi <stormi> 0.4.7-2.mga1
+ Revision: 87422
- fix RPM group

* Mon Apr 11 2011 dmorgan <dmorgan> 0.4.7-1.mga1
+ Revision: 83492
- Add builrequires
- Add qt4-devel as builrequires
- imported package kfilebox

